Part Box/es: Difference between revisions

From FreeCAD Documentation
(Created page with "== Ejemplo ==")
(Created page with "== Notas ==")
Line 39: Line 39:
A Part Box object created with the [[#Scripting|scripting example]] below is shown here.
A Part Box object created with the [[#Scripting|scripting example]] below is shown here.


== Notes ==
<span id="Notes"></span>
== Notas ==


* A Part Box can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.
* A Part Box can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.

Revision as of 18:26, 14 February 2024

Part Cubo

Ubicación en el Menú
Pieza → Primitivas → Cubo
Entornos de trabajo
Part
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Part Crear primitivas

Descripción

El comando Part Caja crea un sólido de caja paramétrica, un cuboide rectangular. En el sistema de coordenadas definido por su propiedad DatosPlacement, la cara inferior de la caja se encuentra en el plano XY con su esquina frontal izquierda en el origen y su borde frontal paralelo al eje X.

Uso

Las propiedades se pueden editar después en la pestaña de datos del cubo:

Ejemplo

Part Box from the scripting example

A Part Box object created with the scripting example below is shown here.

Notas

  • A Part Box can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Properties

See also: Property editor.

A Part Box object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Box

Box

  • DATOSLength o Longitud: Dimensiones del Cubo en la dirección X.
  • DATOSWidth o Anchura: Dimensiones del Cubo en la dirección Y.
  • DATOSHeight o Altura: Dimensiones del Cubo en la dirección Z.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

Programación

El comando Box (Cubo) puede ser usado en las macros y desde la consola de Python usando la siguiente función:

box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Donde "myBox" es el nombre del objeto Cubo.
  • Devuelve un nuevo objeto creado de tipo Cubo.

Example:

import FreeCAD as App

doc = App.activeDocument()

box = doc.addObject("Part::Box", "myBox")
box.Length = 4
box.Width = 8
box.Height = 12
box.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()